Skip to main content

Start Pre-flight Scan

POST 

/targets/:id/pre-scan-configuration/

Initiates a pre-flight scan for the target.

Request

Path Parameters

    id stringrequired

Responses

Schema

    status string

    Possible values: [canceled, canceling, completed, completed_with_errors, failed, paused, pausing, queued, resuming, started, under_review, finishing_up]

    Status of the scan:

    • canceled - Canceled
    • canceling - Canceling
    • completed - Completed
    • completed_with_errors - Completed with errors - DEPRECATED
    • failed - Failed
    • paused - Paused
    • pausing - Pausing
    • queued - Queued
    • resuming - Resuming
    • started - Started
    • under_review - Under Review
    • finishing_up - Finishing up
    started date-timenullable

    Date and time of when the scan started.

    completed date-timenullable

    Date and time of when the scan was completed.

    duration string

    Total time from the start of the scan to its completion, or to the moment of the query, if not completed. For example, "02 00:00:10.123456".

    crawler

    object

    required

    state stringrequired

    State of the crawler execution.
    For example, "started" or "ended".

    status integer[]required

    List with two numbers where the first is the crawled URLs and the second is the total of URLs to crawl.

    warning

    object[]

    required

    List of warnings occurred during the crawler execution.

  • Array [

  • code stringrequired

    Warning code.

    message stringrequired

    Warning message.

  • ]

  • error

    object[]

    required

    List of errors occurred during the crawler execution.

  • Array [

  • code stringrequired
    message stringrequired
  • ]

  • full_status

    object

    nullable

    Detailed information on the crawler execution.

    type string

    Type of information.
    When present, the value is "feedback".

    iid uuidrequired

    Internal information.

    aid uuidrequired

    Internal information.

    ts doublerequired

    Timestamp of the crawler execution.

    subtype stringrequired

    Sub-type of the type of information.
    The value is "status".

    stage stringrequired

    Stage of the scan.
    The value is "crawler".

    module stringrequired

    Module of the crawler that is executing.

    data

    object

    required

    Further details on the crawler execution.

    type string

    Type of information.
    When present, the value is "feedback".

    countTimeoutEndpoints integer

    Number of requests with timeouts during the crawler execution.

    countLoginFailed integer

    Number of failed login attempts during the crawler execution.

    version integer

    Version number.

    countNetworkErrorEndpoints integer

    Number of network errors during the crawler execution.

    doingLogin boolean

    If true, the crawler is currently trying to log in to the target.

    done integerrequired

    Number of URLs crawled.

    rejected integer

    Number of URLs deduplicated during the crawler execution.

    total integerrequired

    Total number of URLs to crawl.

    allExtraHosts string[]

    List of extra hosts.

    crawlingEndpoints

    object[]

    List of details about endpoints currently being crawled.

  • Array [

  • jobId integer

    Identifier of the crawler job.

    status integerrequired

    HTTP response status code for the crawler request.

    method stringrequired

    HTTP method of the crawler request.

    url urirequired

    URL of the crawler request.

  • ]

  • lastLogin

    object[]

    List of the last logins.

  • Array [

  • status stringrequired

    Status of the login attempt.

    timestamp integerrequired

    Timestamp of the login attempt.

  • ]

  • status

    object

    Object with all HTTP response codes obtained during the crawler execution and how many of each.

    property name* any

    Object with all HTTP response codes obtained during the crawler execution and how many of each.

    outOfScopeHostsCount

    object

    List of URLs out of the target's scope and the number of times the crawler hit them.

    property name* any

    List of URLs out of the target's scope and the number of times the crawler hit them.

    allHostnames string[]

    List of all hostnames to crawl.

    lastCrawledEndpoints

    object[]

    List of the last crawled URLs.

  • Array [

  • jobId integer

    Identifier of the crawler job.

    status integerrequired

    HTTP response status code for the crawler request.

    method stringrequired

    HTTP method of the crawler request.

    url urirequired

    URL of the crawler request.

  • ]

  • statusByHost

    object

    List of HTTP response codes obtained during the crawler execution and how many of each, grouped by hostname.

    property name* any

    List of HTTP response codes obtained during the crawler execution and how many of each, grouped by hostname.

    login_video stringnullablerequired
    target_response stringnullablerequired
Loading...